#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "ESortingOption.h"
#include "ESortingOrder.h"
#include "ChallengesMenuRitualsSubPresenter.generated.h"

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API UChallengesMenuRitualsSubPresenter : public USubPresenter
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable)
	void RefreshChallengesList();

private:
	UFUNCTION()
	void OnSortingChanged(ESortingOption sortingOption, ESortingOrder sortingOrder);

	UFUNCTION(BlueprintCallable)
	void OnSearchBarTextChanged(const FString& enteredText);

	UFUNCTION(BlueprintCallable)
	void OnChallengeFollowClicked(const FString& challengeId);

	UFUNCTION(BlueprintCallable)
	void OnChallengeCardSelected(const FString& challengeId);

public:
	UChallengesMenuRitualsSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UChallengesMenuRitualsSubPresenter) { return 0; }
